#ifndef   AM335X_CONTROL_H__

#define   AM335X_CONTROL_H__

#include  "AM335X_Mapping.h"
#include  "AM335X_DataType.h"


#define			   CONTROL_REVISION							 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x0   ))
#define			   CONTROL_HWINFO                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x4   ))
#define			   CONTROL_SYSCONFIG                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x10  ))
#define			   CONTROL_STATUS                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x40  ))
#define            CONTROL_EMIF_SDRAM_COnfig				 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x110 ))
#define            CORE_SLDO_CTRL                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x428 ))
#define            MPU_SLDO_CTRL                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x42C ))
#define            CLK32KDIVRATIO_CTRL                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x444 ))
#define            BANDGAP_CTRL                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x448 ))
#define            BANDGAP_TRIM                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x44C ))
#define            PLL_CLKINPULOW_CTRL                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x458 ))
#define            MOSC_CTRL                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x468 ))
#define            DEEPSLEEP_CTRL                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x470 ))
#define            DPLL_PWR_SW_STATUS                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x50C ))
#define            DEVICE_ID                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x600 ))
#define            DEV_FEATURE                               (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x604 ))
#define            INIT_PRIORITY_0                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x608 ))
#define            INIT_PRIORITY_1                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x60C ))
#define            MMU_CFG                                   (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x610 ))
#define            TPTC_CFG                                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x614 ))
#define            USB_CTRL0                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x620 ))
#define            USB_STS0                                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x624 ))
#define            USB_CTRL1                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x628 ))
#define            USB_STS1                                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x62C ))
#define            MAC_ID0_LO                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x630 ))
#define            MAC_ID0_HI                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x634 ))
#define            MAC_ID1_LO                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x638 ))
#define            MAC_ID1_HI                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x63C ))
#define            DCAN_RAMINIT                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x644 ))
#define            USB_WKUP_CTRL                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x648 ))
#define            GMII_SEL                                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x650 ))
#define            PWMSS_CTRL                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x664 ))
#define            MREQPRIO_0                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x670 ))
#define            MREQPRIO_1                                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x674 ))
#define            HW_EVENT_SEL_GRP1                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x690 ))
#define            HW_EVENT_SEL_GRP2                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x694 ))
#define            HW_EVENT_SEL_GRP3                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x698 ))
#define            HW_EVENT_SEL_GRP4                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x69C ))
#define            SMRT_CTRL                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x6A0 ))
#define            MPUSS_HW_DEBUG_SE                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x6A4 ))
#define            MPUSS_HW_DBG_INFO                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x6A8 ))
#define            VDD_MPU_OPP_050                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x770 ))
#define            VDD_MPU_OPP_100                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x774 ))
#define            VDD_MPU_OPP_120                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x778 ))
#define            VDD_MPU_OPP_TURBO                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x77C ))
#define            VDD_CORE_OPP_050                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x7B8 ))
#define            VDD_CORE_OPP_100                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x7BC ))
#define            BB_SCALE                                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x7D0 ))
#define            USB_VID_PID                               (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x7F4 ))
#define            EFUSE_SMA                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x7FC ))
#define            CONF_GPMC_AD0                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x800 ))
#define            CONF_GPMC_AD1                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x804 ))
#define            CONF_GPMC_AD2                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x808 ))
#define            CONF_GPMC_AD3                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x80C ))
#define            CONF_GPMC_AD4                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x810 ))
#define            CONF_GPMC_AD5                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x814 ))
#define            CONF_GPMC_AD6                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x818 ))
#define            CONF_GPMC_AD7                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x81C ))
#define            CONF_GPMC_AD8                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x820 ))
#define            CONF_GPMC_AD9                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x824 ))
#define            CONF_GPMC_AD10                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x828 ))
#define            CONF_GPMC_AD11                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x82C ))
#define            CONF_GPMC_AD12                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x830 ))
#define            CONF_GPMC_AD13                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x834 ))
#define            CONF_GPMC_AD14                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x838 ))
#define            CONF_GPMC_AD15                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x83C ))
#define            CONF_GPMC_A0                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x840 ))
#define            CONF_GPMC_A1                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x844 ))
#define            CONF_GPMC_A2                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x848 ))
#define            CONF_GPMC_A3                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x84C ))
#define            CONF_GPMC_A4                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x850 ))
#define            CONF_GPMC_A5                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x854 ))
#define            CONF_GPMC_A6                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x858 ))
#define            CONF_GPMC_A7                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x85C ))
#define            CONF_GPMC_A8                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x860 ))
#define            CONF_GPMC_A9                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x864 ))
#define            CONF_GPMC_A10                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x868 ))
#define            CONF_GPMC_A11                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x86C ))
#define            CONF_GPMC_WAIT0                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x870 ))
#define            CONF_GPMC_WPN                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x874 ))
#define            CONF_GPMC_BEN1                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x878 ))
#define            CONF_GPMC_CSN0                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x87C ))
#define            CONF_GPMC_CSN1                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x880 ))
#define            CONF_GPMC_CSN2                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x884 ))
#define            CONF_GPMC_CSN3                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x888 ))
#define            CONF_GPMC_CLK                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x88C ))
#define            CONF_GPMC_ADVN_ALE                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x890 ))
#define            CONF_GPMC_OEN_REN                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x894 ))
#define            CONF_GPMC_WEN                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x898 ))
#define            CONF_GPMC_BEN0_CLE                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x89C ))
#define            CONF_LCD_DATA0                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8A0 ))
#define            CONF_LCD_DATA1                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8A4 ))
#define            CONF_LCD_DATA2                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8A8 ))
#define            CONF_LCD_DATA3                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8AC ))
#define            CONF_LCD_DATA4                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8B0 ))
#define            CONF_LCD_DATA5                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8B4 ))
#define            CONF_LCD_DATA6                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8B8 ))
#define            CONF_LCD_DATA7                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8BC ))
#define            CONF_LCD_DATA8                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8C0 ))
#define            CONF_LCD_DATA9                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8C4 ))
#define            CONF_LCD_DATA10                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8C8 ))
#define            CONF_LCD_DATA11                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8CC ))
#define            CONF_LCD_DATA12                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8D0 ))
#define            CONF_LCD_DATA13                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8D4 ))
#define            CONF_LCD_DATA14                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8D8 ))
#define            CONF_LCD_DATA15                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8DC ))
#define            CONF_LCD_VSYNC                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8E0 ))
#define            CONF_LCD_HSYNC                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8E4 ))
#define            CONF_LCD_PCLK                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8E8 ))
#define            CONF_LCD_AC_BIAS_EN                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8EC ))
#define            CONF_MMC0_DAT3                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8F0 ))
#define            CONF_MMC0_DAT2                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8F4 ))
#define            CONF_MMC0_DAT1                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8F8 ))
#define            CONF_MMC0_DAT0                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x8FC ))
#define            CONF_MMC0_CLK                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x900 ))
#define            CONF_MMC0_CMD                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x904 ))
#define            CONF_MII1_COL                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x908 ))
#define            CONF_MII1_CRS                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x90C ))
#define            CONF_MII1_RX_ER                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x910 ))
#define            CONF_MII1_TX_EN                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x914 ))
#define            CONF_MII1_RX_DV                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x918 ))
#define            CONF_MII1_TXD3                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x91C ))
#define            CONF_MII1_TXD2                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x920 ))
#define            CONF_MII1_TXD1                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x924 ))
#define            CONF_MII1_TXD0                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x928 ))
#define            CONF_MII1_TX_CLK                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x92C ))
#define            CONF_MII1_RX_CLK                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x930 ))
#define       CONF_ECAP0_IN_PWM0_OUT	      (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x964))
#define       CONF_UART0_CTSN                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x968))
#define       CONF_UART0_RTSN                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x96C))
#define      	 CONF_UART0_RXD                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x970))
#define       	CONF_UART0_TXD                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x974))
#define       CONF_UART1_CTSN                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x978))
#define       CONF_UART1_RTSN                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x97C))
#define       CONF_UART1_RXD                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x980))
#define       CONF_UART1_TXD                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x984))
#define       CONF_I2C0_SDA                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x988))
#define       CONF_I2C0_SCL                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x98C))
#define       CONF_MCASP0_ACLKX              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x990))
#define       CONF_MCASP0_FSX                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x994))
#define       CONF_MCASP0_AXR0               (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x998))
#define       CONF_MCASP0_AHCLKR             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x99C))
#define       CONF_MCASP0_ACLKR              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9A0))
#define       CONF_MCASP0_FSR                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9A4))
#define       CONF_MCASP0_AXR1               (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9A8))
#define       CONF_MCASP0_AHCLKX             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9AC))
#define       CONF_XDMA_EVENT_INTR0          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9B0))
#define       CONF_XDMA_EVENT_INTR1          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9B4))
#define       CONF_WARMRSTN                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9B8))
#define       CONF_NNMI                      (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9C0))
#define       CONF_TMS                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9D0))
#define       CONF_TDI                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9D4))
#define       CONF_TDO                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9D8))
#define       CONF_TCK                       (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9DC))
#define       CONF_TRSTN                     (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9E0))
#define       CONF_EMU0                      (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9E4))
#define       CONF_EMU1                      (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9E8))
#define       CONF_RTC_PWRONRSTN             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9F8))
#define       CONF_PMIC_POWER_EN             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x9FC))
#define       CONF_EXT_WAKEUP                (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xA00))
#define       CONF_RTC_KALDO_ENN             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xA04))
#define       CONF_USB0_DRVVBUS              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xA1C))
#define            CONF_USB1_DRVVBUS                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xA34 ))
#define            CQDETECT_STATUS                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xE00 ))
#define            DDR_IO_CTRL                               (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xE04 ))
#define            VTP_CTRL                                  (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xE0C ))
#define            VREF_CTRL                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xE14 ))
#define            TPCC_EVT_MUX_0_3                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xF90 ))
#define            TPCC_EVT_MUX_4_7                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xF94 ))
#define            TPCC_EVT_MUX_8_11                         (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xF98 ))
#define            TPCC_EVT_MUX_12_15                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xF9C ))
#define            TPCC_EVT_MUX_16_19                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFA0 ))
#define            TPCC_EVT_MUX_20_23                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFA4 ))
#define            TPCC_EVT_MUX_24_27                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFA8 ))
#define            TPCC_EVT_MUX_28_31                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFAC ))
#define            TPCC_EVT_MUX_32_35                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFB0 ))
#define            TPCC_EVT_MUX_36_39                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFB4 ))
#define            TPCC_EVT_MUX_40_43                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFB8 ))
#define            TPCC_EVT_MUX_44_47                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFBC ))
#define            TPCC_EVT_MUX_48_51                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFC0 ))
#define            TPCC_EVT_MUX_52_55                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFC4 ))
#define            TPCC_EVT_MUX_56_59                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFC8 ))
#define            TPCC_EVT_MUX_60_63                        (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFCC ))
#define            TIMER_EVT_CAPT                            (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFD0 ))
#define            ECAP_EVT_CAPT                             (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFD4 ))
#define            ADC_EVT_CAPT                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0xFD8 ))
#define            RESET_ISO                                 (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1000))
#define            DPLL_PWR_SW_CTRL                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1318))
#define            DDR_CKE_CTRL                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x131C))
#define            SMA2                                      (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1320))
#define            M3_TXEV_EOI                               (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1324))
#define            IPC_MSG_REG0                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1328))
#define            IPC_MSG_REG1                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x132C))
#define            IPC_MSG_REG2                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1330))
#define            IPC_MSG_REG3                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1334))
#define            IPC_MSG_REG4                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1338))
#define            IPC_MSG_REG5                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x133C))
#define            IPC_MSG_REG6                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1340))
#define            IPC_MSG_REG7                              (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1344))
#define            DDR_CMD0_IOCTRL                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1404))
#define            DDR_CMD1_IOCTRL                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1408))
#define            DDR_CMD2_IOCTRL                           (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x140C))
#define            DDR_DATA0_IOCTRL                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1440))
#define            DDR_DATA1_IOCTRL                          (*(volatile unsigned long *)(CONTROL_MODULE_BASE + 0x1444))


#endif


